%define anolis_release 1

%global pypi_name xmltodict

Name:               python-xmltodict
Version:            0.13.0
Release:            %{anolis_release}%{?dist}
Summary:            Python to transform XML to JSON

License:            MIT
URL:                https://github.com/martinblech/xmltodict
Source0:            https://github.com/martinblech/xmltodict/archive/refs/tags/v%{version}.tar.gz
BuildArch:          noarch

%description
xmltodict is a Python module that makes working with XML feel like you are
working with JSON.  It's very fast (Expat-based) and has a streaming mode
with a small memory footprint, suitable for big XML dumps like Discogs or
Wikipedia.

%package -n python3-%{pypi_name}
Summary:            %{summary}

BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      %{py3_dist pytest}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
xmltodict is a Python module that makes working with XML feel like you are
working with JSON.  It's very fast (Expat-based) and has a streaming mode
with a small memory footprint, suitable for big XML dumps like Discogs or
Wikipedia.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%pytest -v

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-*
%{python3_sitelib}/__pycache__/%{pypi_name}*

%changelog
* Wed May 17 2023 Funda Wang <fundawang@yeah.net> - 0.13.0-1
- Import package for anolis 23
